Vous pouvez recevoir une erreur lors de la surveillance du plug-in RabbitMQ.

Problème

Lors de la surveillance du plug-in RabbitMQ, une erreur peut se produire si vous effectuez une mise à niveau vers vRealize Operations Cloud qui dispose d'une version Telegraf de 1.19. Le message suivant s'affiche :

getting "/api/federation-links" failed: 404 Not Found

Cause

Les plug-ins de fédération dans la configuration de RabbitMQ ne sont pas activés.

Solution

  • Activez les plug-ins de fédération dans la configuration de RabbitMQ en exécutant les commandes suivantes dans la machine virtuelle RabbitMQ :
    rabbitmq-plugins enable rabbitmq_federation
    
    rabbitmq-plugins enable rabbitmq_federation_management